Bug 1735284 - golang-github-cosmos72-gomacro: FTBFS in Fedora rawhide/f31
Summary: golang-github-cosmos72-gomacro: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-cosmos72-gomacro
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-31 19:25 UTC by Fedora Release Engineering
Modified: 2019-10-22 02:20 UTC (History)
3 users (show)

Fixed In Version: golang-github-cosmos72-gomacro-2.7-8.20190923git4f667f8.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-02 00:46:32 UTC


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2019-07-31 19:25 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-07-31 19:25 UTC, Fedora Release Engineering
no flags Details
state.log (781 bytes, text/plain)
2019-07-31 19:25 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-07-31 19:25:22 UTC
golang-github-cosmos72-gomacro failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36633622


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix golang-github-cosmos72-gomacro at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
golang-github-cosmos72-gomacro will be orphaned. Before branching of Fedora 32,
golang-github-cosmos72-gomacro will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-07-31 19:25:27 UTC
Created attachment 1596340 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2019-07-31 19:25:29 UTC
Created attachment 1596341 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-07-31 19:25:31 UTC
Created attachment 1596342 [details]
state.log

Comment 4 Robert-André Mauchin 2019-08-04 16:26:12 UTC
https://github.com/cosmos72/gomacro/issues/67

Comment 5 Ben Cotton 2019-08-13 16:57:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 6 Ben Cotton 2019-08-13 18:34:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 7 Fedora Release Engineering 2019-09-22 04:26:31 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 8 Fedora Update System 2019-09-23 09:43:22 UTC
FEDORA-2019-0a655eeea7 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0a655eeea7

Comment 9 Fedora Update System 2019-09-24 01:23:47 UTC
golang-github-cosmos72-gomacro-2.7-8.20190923git4f667f8.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0a655eeea7

Comment 10 Fedora Update System 2019-10-02 00:46:32 UTC
golang-github-cosmos72-gomacro-2.7-8.20190923git4f667f8.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Elliott Sales de Andrade 2019-10-22 02:20:27 UTC
Clearing NEEDINFO.


Note You need to log in before you can comment on or make changes to this bug.